package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsArticleCate;
import com.fs.his.vo.OptionsVO;

/**
 * 文章分类Service接口
 *
 * @author fs
 * @date 2023-07-04
 */
public interface IFsArticleCateService
{
    /**
     * 查询文章分类
     *
     * @param cateId 文章分类主键
     * @return 文章分类
     */
    public FsArticleCate selectFsArticleCateByCateId(Long cateId);

    /**
     * 查询文章分类列表
     *
     * @param fsArticleCate 文章分类
     * @return 文章分类集合
     */
    public List<FsArticleCate> selectFsArticleCateList(FsArticleCate fsArticleCate);

    /**
     * 新增文章分类
     *
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int insertFsArticleCate(FsArticleCate fsArticleCate);

    /**
     * 修改文章分类
     *
     * @param fsArticleCate 文章分类
     * @return 结果
     */
    public int updateFsArticleCate(FsArticleCate fsArticleCate);

    /**
     * 批量删除文章分类
     *
     * @param cateIds 需要删除的文章分类主键集合
     * @return 结果
     */
    public int deleteFsArticleCateByCateIds(Long[] cateIds);

    /**
     * 删除文章分类信息
     *
     * @param cateId 文章分类主键
     * @return 结果
     */
    public int deleteFsArticleCateByCateId(Long cateId);

    List<OptionsVO> selectFsArticleCateAllList();

    List<FsArticleCate> selectFsArticleCateAllListVO();

}
